body {
    font-family: Raleway, sans-serif;
    margin: auto;
    max-width: 1440px;
}

header {
    padding-left: 50px;
    padding-right: 50px;
}

a {    
    text-decoration: none;
}

.navbarcontainer {
    padding-top: 50px;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

#reservialogo {
    width: 100px;
    height: auto;
    position: absolute;
    padding-top: 50px;
}

.navigationbar {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    margin-bottom: 20px;
}

.navoptions {
    list-style-type: none;
}

.navlinks {
    color: #0065FC;
    padding: 20px 30px;
}

#signup {
    padding-top: 15px;
}

.navlinks:visited {
    color: #4f4f50;
}

.navlinks:hover {
    color: black;
}

.navlinks:active {
    color: #DEEBFF;
}

#accommodations {
    border-top: 2px solid #0065FC;
    padding-top: 64px;
}

#activities {
    color: #4f4f50;
    padding-top: 60px;
}

@media screen and (max-width: 1050px) {    
    header {
        padding: 0px;
    }
    
    #reservialogo {
        padding-left: 18px;
    }
}

@media screen and (max-width: 768px) {    
    #reservialogo {
        padding-top: 20px;
    }

    .navbarcontainer {
        display: flex;
        flex-direction: row;
        padding-top: 88px;
        padding-right: 0px;
    }
    
    .navigationbar {
        display: flex;
        flex-flow: row;
        justify-content: center;
        width: 100%;
        margin: 0px;
        padding-left: 0px;
        padding-bottom: 15px;
        align-items: baseline;
    }

    .navoptions {
        width: 100%;
        display: flex;
        flex-direction: row;
    }

    #linkaccommodations {
        width: 100%;
        justify-content: center;
        border-bottom: 3px solid #0065FC;
        padding-bottom: 14px;
    }

    #linkactivities {
        width: 100%;
        justify-content: center;
        border-bottom: 3px solid #F2F2F2;
        padding-bottom: 14px;
    }
    
    .navlinks {
        color: #0065FC;
        justify-content: center;
        align-items: baseline;
    }

    #accommodations {
        border-top: none;
        padding: 0px;
        justify-content: center;
        font-size: 0.9em;
    }

    #activities {
        color: #4f4f50;
        justify-content: center;
        padding: 0px;
        font-size: 0.9em;
    }

    #signup {
        position: absolute;
        top: 28px;
        right: 25px;
        padding-right: 0px;
        font-size: 0.9em;
    }
}

.search {
    padding-left: 50px;
}

.mainpagetitle {
    padding-top: 30px;
    margin-bottom: 10px;
    margin-top: 0px;
}

.subtitle {
    margin-top: 0px;
    padding-bottom: 15px;
}

form {
    display: flex;
    flex-direction: row;
    margin: 0px;
    width: 100%;
}

.mapiconcontainer {
    background-color: #F2F2F2;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    padding-left: 20px;
    padding-right: 20px;
    height: 50px;
    font-size: 1.2em;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #F2F2F2;
}

.fieldandbutton {
    border: 1px solid #F2F2F2;
    border-right: none;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    display: flex;
    flex-direction: row;
}

#searchfield {
    font-family: Raleway, sans-serif;
    border: none;
    color: black;
    font-weight: bold;
    font-size: 1em;
    height: 50px;
    text-indent: 15px;
}

#searchbutton {
    color:white;
    background-color: #0065FC;
    border: 1px solid #0065FC;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    font-family: Raleway, sans-serif;
    font-weight: bold;
    font-size: 1em;
    height: 50px;
    padding-left: 18px;
    padding-right: 18px;
}

#searchbutton:hover {
    background-color: #DEEBFF;
    border: 1px solid #DEEBFF;
    color: #0065FC;
}

#searchicon {
    display: none;
}

.filterssection {
    padding-left: 50px;
    padding-right: 50px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.filters-ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding-left: 0px;
    padding-top: 35px;
    padding-bottom: 35px;
    margin: 0px;
}

#filterstitle {
    margin: 0px;
    padding-right: 30px;
}

.filtersbutton {
    list-style-type: none;
    text-decoration: none;
    padding: 0px;
    border: 2px solid #F2F2F2;
    border-left: none;
    border-radius: 40px;
    height: 50px;
    display: flex;
    align-items: center;
    margin-right: 15px;
}

.iconscontainer {
    background-color: #DEEBFF;
    border: 1px solid #DEEBFF;
    border-radius: 50px;
    width: 50px;
    height: 50px;
    font-size: 1.2em;
    color: #0065FC;
    margin-left: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.linkscontainer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-size: 1.2em;
    margin-left: 12px;
    margin-right: 16px;
}

.filters {
    text-decoration: none;
    color: black;
    text-align: right;
    padding: 0px;
    display: flex;
    align-items: center;
}

.filters:visited {
    color: #4f4f50;
}

.filters:hover {
    color: #0065FC;
}

.filters:active {
    color: #DEEBFF;
}

@media screen and (max-width: 1050px) {
    .search {
        padding-right: 18px;
        padding-left: 18px;
    }

    .filterssection {
        padding-left: 18px;
        padding-right: 18px;
        flex-direction: column;
        align-items: flex-start;
    }

    #filterstitle {
        padding: 30px 0px 15px 0px;
    }

    .filters-ul {
        display: flex;
        flex-direction: row;
        width: 100%;
        padding-right: 30px;
        padding-top: 10px;
        padding-bottom: 25px;
    }

    .filtersbutton {
        margin-bottom: 10px;
    }

}

@media screen and (max-width: 768px) {

    .mainpagetitle {
        margin-top: 0px;
        padding-top: 15px;
        font-size: 1.2em;
    }

    .subtitle {
        font-size: 0.9em;
    }

    form {
        padding-bottom: 12px;
    }

    .mapiconcontainer {
        height: 45px;
        border: 1px solid #F2F2F2;
        padding: 0px 15px;
    }

    .fieldandbutton {
        height: 45px;
    }

    #searchfield {
        align-items: center;
        height: 44px;
        width: 95%;
    }

    #searchbutton {
        padding-left: 14px;
        padding-right: 14px;
        border-radius: 15px;
        height: 45px;
    }

    #searchbutton:hover {
        background-color: #DEEBFF;
        border: 1px solid #DEEBFF;
        color: #0065FC;
    }

    #searchicon {
        display: inline;
    }

    .buttontext {
        display: none;
    }

    .filterssection {
        padding-left: 18px;
        padding-right: 18px;
        flex-direction: column;
        align-items: flex-start;
    }

    #filterstitle {
        font-size: 1em;
    }

    .linkscontainer {
        font-size: 0.95em;
    }
    
}

.information {
    padding-left: 50px;
    padding-right: 50px;
    padding-bottom: 35px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.infoiconcircle {
    border: 1px solid #F2F2F2;
    border-radius: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.8em;
    color: #0065FC;
    margin-left: 0px;
    height: 25px;
    width: 25px;
}

.infotext {
    padding-left: 10px;
    margin: 0px;
}

@media screen and (max-width: 1050px) {
    .information {
        padding-right: 18px;
        padding-left: 18px;
    }
}

@media screen and (max-width: 768px) {
    .infoiconcircle {
        width: 0px;
        padding-left: 12px;
        padding-right: 12px;
        align-self: baseline;
    }

    .infotext {
        font-size: 0.9em;
    }
}

.greysections {
    display: flex;
    flex-direction: row;
}

.accommodations-section {
    margin-left: 50px;
    margin-right: 40px;
    background-color: #F2F2F2;
    border-radius: 20px;
    padding: 50px 40px;
    width: 60%;
    box-sizing: border-box;
}

.accommodations-title {
    margin: 0px;
}

.container-hotelcards {
    padding: 25px 0px 40px 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 30px;
    margin: 0px;
}

.hotelcard {
    width: 30%;
    height: 32%;
    background-color: white;
    border: 5px solid #fffffe;
    border-radius: 15px;
    box-shadow: 5px 5px 5px #E3E3E3;
    margin: 0px;
    box-sizing: border-box;
}

.hotelcard-link {
    text-decoration: none;
    color: black;
}

.hotelcard-link:visited {
    color: #4f4f50;
}

.hotelcard-link:hover {
    color: #0065FC;
}

.hotelcard-link:active {
    color: #DEEBFF;
}

.photoshotels {
    width: 100%;
    height: 112px;
    box-sizing: border-box;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    object-position: 50% 50%;
    object-fit: cover;
    overflow: hidden;
}

.photoshotels:hover {
    filter: brightness(120%);
}

.cardtitles {
    margin: 0px;
    padding: 10px 10px 7px 10px;
}

.nightprice {
    font-size: 0.9em;
    margin: 0px;
    padding: 0px 10px;
}

.eurosymbol-before {
    display: none;
}

.eurosymbol-after {
    display: inline;
}

.star-container {
    font-size: 0.7em;
    padding: 7px 10px 5px 10px;
    color: #0065FC;
}

#greystar-auberge {
    color: #F2F2F2;
}

#greystar-lesmouttes {
    color: #F2F2F2;
}

#greystar-hoteldelamer1 {
    color: #F2F2F2;
}

#greystar-hoteldelamer2 {
    color: #F2F2F2;
}

#greystar-aubergelepanier {
    color: #F2F2F2;
}

#greystar-aucoer {
    color: #F2F2F2;
}

#greystar-toutblue {
    color: #F2F2F2;
}

.showmorelink {
    color: black;
    text-decoration: none;
}

.showmorelink:visited {
    color: #4f4f50;
}

.showmorelink:hover {
    color: #0065FC;
}

.showmorelink:active {
    color: #DEEBFF;
}

.showmorelinktitle {
    font-size: 1em;
    margin: 0px;
}

.mostpopular-section {
    margin-left: 0px;
    margin-right: 40px;
    background-color: #F2F2F2;
    border-radius: 20px;
    padding: 50px 40px 32px 38px;
    width: 30%;
    box-sizing: border-box;
}

.mostpopular-titleandicon {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.mostpopular-title {
    margin: 0px;
}

.fa-chart-line {
    margin: 0px;
    font-size: 1.5em;
}

.container-hotelcards-mostpopular {
    padding: 25px 0px 0px 0px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    gap: 30px;
    margin: 0px;
}

.hotelcard-mostpopular {
    width: 100%;
    height: 145px;
    background-color: white;
    border: 5px solid #fffffe;
    border-radius: 15px;
    box-shadow: 5px 5px 5px #E3E3E3;
    margin: 0px;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
}

.hotelcard-mostpopular-link-photo {
    text-decoration: none;
    color: black;
    width: 40%;
}

.hotelcard-mostpopular-link-text {
    text-decoration: none;
    color: black;
    width: 60%;
    padding-left: 5px;
    padding-right: 10px;
    display: flex;
    flex-direction: column;
}

.hotelcard-mostpopular-link-text:visited {
    color: #4f4f50;
}

.hotelcard-mostpopular-link-text:hover {
    color: #0065FC;
}

.hotelcard-mostpopular-link-text:active {
    color: #DEEBFF;
}

.photoshotels-mostpopular {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    object-position: 50% 50%;
    object-fit: cover;
    overflow: hidden;
}

.photoshotels-mostpopular:hover {
    filter: brightness(120%);
}

#morningsun {
    padding-bottom: 20px;
}

.nightprice-mostpopular {
    font-size: 0.9em;
    margin: 0px;
    padding: 0px 10px;
    flex-grow: 2;
}

@media screen and (max-width: 1350px) {
    #hotelduport-title {
        padding-bottom: 25px;
    }

    #lesmouttes-title {
        padding-bottom: 25px;
    }

    #morningsun {
        padding-bottom: 7px;
    }
}

@media screen and (max-width: 1180px) {
    .accommodations-section {
        margin-right: 30px;
        width: 60%;
        padding: 50px 10px 50px 30px;
    }
    
    .container-hotelcards {
        gap: 20px;
    }

    .mostpopular-section {
        padding: 50px 30px 32px 30px;
    }

}

@media screen and (max-width: 1050px) {
    .greysections {
        flex-direction: column-reverse;
    }
    
    .accommodations-section {
        padding: 30px 18px;
        width: 100%;
        background-color: white;
        margin-left: 0px;
        margin-right: 0px;
    }

    .container-hotelcards {
        gap: 35px;
    }

    #hotelduport-title {
        padding-bottom: 7px;
    }

    #lesmouttes-title {
        padding-bottom: 7px;
    }

    .mostpopular-section {
        margin-right: 0px;
        border-radius: 0px;
        padding: 35px 18px 30px 18px;
        width: 100%;
    }

}

@media screen and (max-width: 768px) {
    .accommodations-section {
        margin-left: 0px;
        margin-right: 0px;
        background-color: white;
        border-radius: 0px;
        padding: 30px 18px;
        width: 100%;
    }
    
    .accommodations-title {
        font-size: 1.2em;
    }

    .container-hotelcards {
        width: 100%;
        padding: 20px 0px 25px 0px;
        flex-direction: column;
        flex-wrap: nowrap;
        gap: 10px;
    }

    .hotelcard {
        width: 100%;
    }

    .cardtitles {
       font-size: 0.9em;
    }
    
    .nightprice {
        font-size: 0.8em;
    }

    .eurosymbol-after {
        display: none;
    }
    
    .eurosymbol-before {
        display: inline;
    }

    .mostpopular-title {
        font-size: 1.2em;
    }
    
    .fa-chart-line {
        font-size: 1.2em;
    }

    .container-hotelcards-mostpopular {
        gap: 10px;
    }

}

.activities-section {
    padding: 60px 50px;
    width: 100%;
    box-sizing: border-box;
}

.activities-title {
    margin: 0px;
}

.container-activitiescards {
    padding: 25px 0px 0px 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    gap: 40px;
    margin: 0px;
}

.single-container-activitiescards {
    display: flex;
    flex-direction: column;
    width: 23%;
    height: 100%;
}

.double-container-activitiescards {
    display: flex;
    flex-direction: column;
    width: 23%;
    gap: 35px;
}

.activitycard {
    width: 100%;
    background-color: white;
    border-radius: 20px;
    box-shadow: 5px 5px 5px #E3E3E3;
    margin: 0px;
    box-sizing: border-box;
}

#old-port {
    height: 100%;
}

#pomegues-fort {
    height: 60%;
}

#frioul-island {
    height: 40%;
}

#calanques-national-park {
    height: 100%;
}

#notre-dame-de-la-garde {
    height: 50%;
}

#longchamp-park {
    height: 50%;
}

.activitiescard-link {
    text-decoration: none;
    color: black;
}

.activitiescard-link:visited {
    color: #4f4f50;
}

.activitiescard-link:hover {
    color: #0065FC;
}

.activitiescard-link:active {
    color: #DEEBFF;
}

.photos-activities {
    width: 100%;
    height: 112px;
    box-sizing: border-box;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    object-position: 50% 50%;
    object-fit: cover;
    overflow: hidden;
}

.photos-activities:hover {
    filter: brightness(120%);
}

#old-port-photo {
    height: 390px;
}

#pomegues-fort-photo {
    height: 180px;
}

#calanques-national-park-photo {
    height: 390px;
}

#notre-dame-de-la-garde-photo {
    height: 140px;
    object-position: 50% 30%;
}

#longchamp-park-photo {
    height: 150px;
}

.cardtitles-activities {
    margin: 0px;
    padding: 20px 7px 20px 20px;
}

@media screen and (max-width: 1120px) {
    .container-activitiescards {
        padding: 25px 0px 0px 0px;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: flex-start;
        gap: 40px;
        margin: 0px;
    }
    
    .single-container-activitiescards {
        display: flex;
        flex-direction: row;
        width: 100%;
        height: 100%;
    }
    
    .double-container-activitiescards {
        display: flex;
        flex-direction: row;
        width: 100%;
        gap: 40px;
    }
    
    #old-port-photo {
        height: 120px;
        object-position: 50% 60%;
    }
    
    #pomegues-fort-photo {
        height: 120px;
    }

    #frioul-island-photo {
        height: 120px;
        object-position: 50% 50%;
    }
    
    #calanques-national-park-photo {
        height: 120px;
        object-position: 50% 50%;
    }
    
    #notre-dame-de-la-garde-photo {
        height: 120px;
        object-position: 50% 20%;
    }

    #longchamp-park-photo {
        height: 120px;
        object-position: 50% 40%;
    }

}

@media screen and (max-width: 1050px) {
    .activities-section {
        padding: 10px 20px 40px 20px;
    }

}

@media screen and (max-width: 768px) {
    .activities-title {
        font-size: 1.2em;
    }
    
    .container-activitiescards {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .single-container-activitiescards {
        width: 100%;
    }
    
    .double-container-activitiescards {
        width: 100%;
        gap: 20px;
        display: flex;
        flex-direction: column;
    }
    
    .cardtitles-activities {
        font-size: 0.9em;
        padding: 15px 7px 15px 15px;
    }

    #old-port-photo {
        object-position: 50% 50%;
    }
    
    #pomegues-fort-photo {
        object-position: 50% 50%;
    }

    #frioul-island-photo {
        object-position: 50% 60%;
    }
    
    #calanques-national-park-photo {
        object-position: 50% 50%;
    }
    
    #notre-dame-de-la-garde-photo {
        object-position: 50% 20%;
    }

    #longchamp-park-photo {
        object-position: 50% 40%;
    }

}

footer {
    background-color: #F2F2F2;
    padding: 50px 35px 35px 50px;
}

.footer-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    gap: 35px;
}

.footer-menu {
    display: flex;
    flex-direction: column;
    width: 33%;
}

.footer-list {
    margin: 0px;
    text-indent: 0px;
    padding: 0px;
}

.footer-title-link {
    margin: 0px;
    text-decoration: none;
    color: black;
}

.footer-title-link:visited {
    color: #4f4f50;
}

.footer-title-link:hover {
    color: #0065FC;
}

.footer-title-link:active {
    color: #DEEBFF;
}

.footer-title {
    margin: 0px;
    padding-bottom: 25px;
}

.footer-list-item {
    list-style-type: none;
    padding-bottom: 15px;
}

.footerlinks {
    color: black;
}

.footerlinks:visited {
    color: #4f4f50;
}

.footerlinks:hover {
    color: #0065FC;
}

.footerlinks:active {
    color: #DEEBFF;
}

@media screen and (max-width: 768px) {
    footer {
        padding: 40px 25px 25px 25px;
    }
    
    .footer-container {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: 25px;
    }

    .footer-menu {
        width: 100%;
    }

    .footer-title {
        padding-bottom: 20px;
        font-size: 1em;
    }

    .footerlinks {
        font-size: 0.9em;
    }
}
